API Guide Home (Online version only) |

# HsDialPrefsUSDialingRulesType Struct Reference

## Detailed Description

HsDialPrefsUSDialingRulesType

Definition at line 547 of file HsAppLaunchCmd.h.

## Data Fields

- UInt8 rulesEnabled
- UInt8 _reserved0
- UInt8 areaCodeCtl
- UInt8 add1BeforeAreaCode
- char autoAreaCode [hsDialPrefsAutoAreaCodeLength]
- UInt8 prefix6DigitCtl
- UInt8 prefix5DigitCtl
- UInt8 prefix4DigitCtl
- char auto6DigitPrefix [hsDialPrefs6DigitPrefixLength]
- char auto5DigitPrefix [hsDialPrefs5DigitPrefixLength]
- char auto4DigitPrefix [hsDialPrefs4DigitPrefixLength]

## Field Documentation

UInt8 rulesEnabled

[OUT] if non-zero, then these should be be applied; if zero -- don't apply.

Definition at line 549 of file HsAppLaunchCmd.h.

UInt8 _reserved0

caller must set to 0 (zero) -- for byte alignment, and reserved for future use by the DialPrefs API

Definition at line 551 of file HsAppLaunchCmd.h.

UInt8 areaCodeCtl

[OUT] one of hsDialPrefsAddAreaCodeUnknown, hsDialPrefsAddAreaCodeNo, or hsDialPrefsAddAreaCodeYes; default is hsDialPrefsAddAreaCodeUnknown

Definition at line 554 of file HsAppLaunchCmd.h.

UInt8 add1BeforeAreaCode

[OUT] if non-zero, automatically add "1" in front of the area code of US/Canada numbers; if zero -- don't. Default is to add the "1" in front of US/Canada area codes.

Definition at line 559 of file HsAppLaunchCmd.h.

char autoAreaCode[hsDialPrefsAutoAreaCodeLength]

[OUT] the "auto" area code digits to add to 7-digit numbers if areaCodeCtl is hsDialPrefsAddAreaCodeYes; ignore otherwise;

Definition at line 565 of file HsAppLaunchCmd.h.

UInt8 prefix6DigitCtl

Definition at line 568 of file HsAppLaunchCmd.h.

UInt8 prefix5DigitCtl

Definition at line 572 of file HsAppLaunchCmd.h.

UInt8 prefix4DigitCtl

Definition at line 576 of file HsAppLaunchCmd.h.

char auto6DigitPrefix[hsDialPrefs6DigitPrefixLength]

Definition at line 582 of file HsAppLaunchCmd.h.

char auto5DigitPrefix[hsDialPrefs5DigitPrefixLength]

Definition at line 583 of file HsAppLaunchCmd.h.

char auto4DigitPrefix[hsDialPrefs4DigitPrefixLength]

Definition at line 584 of file HsAppLaunchCmd.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:12 2008 for Palm API Guide